Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

xposed Framework issue

OP iammrhappy123

30th April 2014, 11:48 PM   |  #1  
OP Junior Member
Thanks Meter: 1
 
27 posts
Join Date:Joined: Apr 2014
Hey all

I'm tryin to install xposed framework. But I keep on getting the error "Failed to get root access"

I'm a noob here, so i'm not too sure what is going on. I am rooted on omnirom using twrp bootloader. I'm pretty sure I've done everything right as far as rooting.

Any ideas?

thanks in advanced.
30th April 2014, 11:57 PM   |  #2  
rootSU's Avatar
Senior Member
Flag Oxenhope, West Yorkshire, UK
Thanks Meter: 13,842
 
25,037 posts
Join Date:Joined: Aug 2010
More
Can other apps get root access? Titanium backup for example?

Sent from my Nexus 5 using Tapatalk
The Following User Says Thank You to rootSU For This Useful Post: [ View ]
30th April 2014, 11:58 PM   |  #3  
jsgraphicart's Avatar
Senior Member
Thanks Meter: 1,539
 
5,188 posts
Join Date:Joined: Nov 2011
More
Are you using the ART runtime? Because Xposed is not compatible with it.

EDIT: I missed where this was a root problem. But my statement still stands. lol
Last edited by jsgraphicart; 1st May 2014 at 12:01 AM.
The Following User Says Thank You to jsgraphicart For This Useful Post: [ View ]
1st May 2014, 12:09 AM   |  #4  
OP Junior Member
Thanks Meter: 1
 
27 posts
Join Date:Joined: Apr 2014
Quote:
Originally Posted by rootSU

Can other apps get root access? Titanium backup for example?

Sent from my Nexus 5 using Tapatalk

Quote:
Originally Posted by jsgraphicart

Are you using the ART runtime? Because Xposed is not compatible with it.

EDIT: I missed where this was a root problem. But my statement still stands. lol

hey guys thanks for replying.

Titanium backup works. When I installed it right now, SuperSU asked for permission. I granted.

I noticed that for Fast/Auto app install: it has a red x and says HyperShell needed. Does that have anything to do with it?


And I am not runnning ART runtime lol
1st May 2014, 12:13 AM   |  #5  
OP Junior Member
Thanks Meter: 1
 
27 posts
Join Date:Joined: Apr 2014
Quote:
Originally Posted by iammrhappy123

hey guys thanks for replying.

Titanium backup works. When I installed it right now, SuperSU asked for permission. I granted.

I noticed that for Fast/Auto app install: it has a red x and says HyperShell needed. Does that have anything to do with it?


And I am not runnning ART runtime lol


Weird, I reinstalled SuperSU and installed the SuperSU free app and now it works. What gives? haha

Thanks for your guys' quick responses! Great forum!
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes